﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace TestWPF
{
	public class MyViewModel
	{
		private ObservableCollection<MyTileViewItem> items;

		public ObservableCollection<MyTileViewItem> Items
		{
			get
			{
				return this.items;
			}
			set
			{
				this.items = value;
			}
		} 

		public MyViewModel()
		{
			this.items = new ObservableCollection<MyTileViewItem>();

			this.items.Add(new MyTileViewItem("Item 1", "Content of item 1", 50, 99));
			this.items.Add(new MyTileViewItem("Item 2", "Content of item 2", 25, 33));
			this.items.Add(new MyTileViewItem("Item 3", "Content of item 3", 25, 33));
			// you need the MinimizedHeight so that the invisible items won't show up when they are minimized.
			this.items.Add(new MyTileViewItem("Invisible Item 1", "", 50, 0.1, 1));
			this.items.Add(new MyTileViewItem("Item 4", "Content of item 4", 25, 33));
			this.items.Add(new MyTileViewItem("Item 5", "Content of item 5", 25, 33));
			this.items.Add(new MyTileViewItem("Invisible Item 2", "", 50, 0.1, 1));
			this.items.Add(new MyTileViewItem("Item 6", "Content of item 6", 25, 33));
			this.items.Add(new MyTileViewItem("Item 7", "Content of item 7", 25, 33));
		}
	}
}
